Page MenuHomePhabricator

[AMDGPU][MC] Corrected parsing of branch offsets
ClosedPublic

Authored by dp on Jul 12 2019, 5:46 AM.

Details

Summary

Summary of changes:

  • Enabled constant expressions as operands of branch instructions, s_call_b64 etc (bug 40820);
  • Improved errors reporting (bug 41303).

Diff Detail

Repository
rL LLVM

Event Timeline

dp created this revision.Jul 12 2019, 5:46 AM
This revision is now accepted and ready to land.Jul 17 2019, 7:05 AM
Closed by commit rL366571: [AMDGPU][MC] Corrected parsing of branch offsets (authored by dpreobra, committed by ). · Explain WhyJul 19 2019, 6:12 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJul 19 2019, 6:12 AM